package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.SrsOrder;
import org.apache.ibatis.annotations.Mapper;

/**
 * 支付订单Mapper接口
 * 
 * @author srs
 * @date 2023-07-24
 */
@Mapper
public interface SrsOrderMapper
{
    /**
     * 查询支付订单
     * 
     * @param id 支付订单主键
     * @return 支付订单
     */
    public SrsOrder selectSrsOrderById(Long id);

    /**
     * 查询支付订单列表
     * 
     * @param srsOrder 支付订单
     * @return 支付订单集合
     */
    public List<SrsOrder> selectSrsOrderList(SrsOrder srsOrder);

    /**
     * 新增支付订单
     * 
     * @param srsOrder 支付订单
     * @return 结果
     */
    public int insertSrsOrder(SrsOrder srsOrder);

    /**
     * 修改支付订单
     * 
     * @param srsOrder 支付订单
     * @return 结果
     */
    public int updateSrsOrder(SrsOrder srsOrder);

    /**
     * 删除支付订单
     * 
     * @param id 支付订单主键
     * @return 结果
     */
    public int deleteSrsOrderById(Long id);

    /**
     * 批量删除支付订单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsOrderByIds(Long[] ids);
}
